Protocol::Ext::XFree86_Misc(3)

NAME
X11::Protocol::Ext::XFree86_Misc.pm - Perl module for the XFree86 Misc Extension

SYNOPSIS
  use X11::Protocol;
  $x = X11::Protocol->new();
  $x->init_extension('XFree86-Misc');

DESCRIPTION
This module is used to access miscellaneous features of XFree86 servers

SYMBOLIC CONSTANTS
This extension adds the MouseTypes, KeyboardTypes and MouseFlags constants, with values as defined in the XFree86 3.3.3 source code.

REQUESTS
This extension adds several requests, called as shown below:

  $x->XF86MiscQueryVersion => ($major, $minor)

  $x->XF86MiscGetSaver($screen) => ($suspendtime, $offtime)

  $x->XF86MiscSetSaver($screen, $suspendtime, $offtime)

  $x->XF86MiscGetMouseSettings => (%settings)

  $x->XF86MiscSetMouseSettings(%settings)

  $x->XF86MiscGetKbdSettings => ($type, $rate, $delay, $servnumlock)

  $x->XF86MiscSetKbdSettings($type, $rate, $delay, $servnumlock)

AUTHOR
Jay Kominek <jay.kominek@colorado.edu>

SEE ALSO
perl(1), X11::Protocol